var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconDataSetBlueComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-data_set_blue").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 40 40", fill: useCurrentColor ? 'currentColor' : 'none', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("rect", { width: "40", height: "40", rx: "4", fill: useCurrentColor ? 'currentColor' : 'url(#svg_6e61eddefe__svg_96d6f2e7e1__paint0_linear_2778_68397)' }),
        React.createElement("path", { d: "M19.1343 28.0457C19.6123 28.3225 20.3872 28.3225 20.8651 28.0458L27.9738 23.9301L32.1686 26.3591C32.6465 26.6359 32.6465 27.0845 32.1686 27.3613L20.8651 33.9056C20.3872 34.1823 19.6123 34.1823 19.1343 33.9056L7.83128 27.3605C7.35334 27.0837 7.35335 26.6351 7.83131 26.3583L12.0261 23.9297L19.1343 28.0457Z", fill: useCurrentColor ? 'currentColor' : '#fff' }),
        React.createElement("path", { opacity: ".5", d: "M19.1343 23.0761C19.6123 23.3528 20.3872 23.3528 20.8651 23.0761L28.7425 18.5154L32.1686 20.4993C32.6465 20.776 32.6465 21.2247 32.1686 21.5014L20.8651 28.0458C20.3872 28.3225 19.6123 28.3224 19.1343 28.0457L7.83128 21.5006C7.35334 21.2239 7.35335 20.7752 7.83131 20.4985L11.2574 18.5149L19.1343 23.0761Z", fill: useCurrentColor ? 'currentColor' : '#fff' }),
        React.createElement("path", { d: "M20.8651 23.0762C20.3872 23.353 19.6123 23.3529 19.1343 23.0762L7.83128 16.5311C7.35334 16.2544 7.35336 15.8057 7.83132 15.529L19.1348 8.98462C19.6127 8.7079 20.3876 8.70793 20.8656 8.98468L32.1686 15.5297C32.6465 15.8065 32.6465 16.2552 32.1686 16.5319L20.8651 23.0762Z", fill: useCurrentColor ? 'currentColor' : '#fff' }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "svg_6e61eddefe__svg_96d6f2e7e1__paint0_linear_2778_68397", x1: "40", y1: "3", x2: "-9", y2: "50", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#5F9FFF" }),
                React.createElement("stop", { offset: "1", stopColor: "#4281FF" }))));
}
var IconDataSetBlue = React.forwardRef(IconDataSetBlueComponent);
export default IconDataSetBlue;
